Skip to main content
POST
/
execution
/
execute
Execute managed trade from quote
curl --request POST \
  --url https://api.agg.market/execution/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-app-id: <api-key>' \
  --data '
{
  "quoteId": "<string>"
}
'
{
  "quoteId": "<string>",
  "orderIds": [
    "<string>"
  ],
  "status": "pending"
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Body

application/json

Body

quoteId
string
required

Response

200

quoteId
string
required
orderIds
string[]
required
status
enum<string>
required
Available options:
pending